Bug Hunting Session
Bug 62364 - Mailmerge problem if list or numbering at the end of document
Summary: Mailmerge problem if list or numbering at the end of document
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.6.2 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on: 89214 90125
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2013-03-15 11:11 UTC by Domingo Sacristan
Modified: 2018-12-11 14:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Document with mergemail fields ( from biblio datasource ) (20.54 KB, application/vnd.oasis.opendocument.text)
2013-03-15 11:11 UTC, Domingo Sacristan
Details
Result of mergemail process (43.74 KB, application/pdf)
2013-03-15 11:11 UTC, Domingo Sacristan
Details
Result of mergemail process (pdf doc) (43.74 KB, application/pdf)
2013-03-15 11:13 UTC, Domingo Sacristan
Details
Document with mergemail fields ( from biblio datasource ) (20.54 KB, application/vnd.oasis.opendocument.text)
2013-03-15 11:15 UTC, Domingo Sacristan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Domingo Sacristan 2013-03-15 11:11:01 UTC
Created attachment 76552 [details]
Document with mergemail fields ( from biblio datasource )

if list or numbering is place at the end of document and the cursor is place by last list entry becoming all the next paragraphs of mail-merge result the list or numbering format
Comment 1 Domingo Sacristan 2013-03-15 11:11:51 UTC
Created attachment 76553 [details]
Result of mergemail process
Comment 2 Domingo Sacristan 2013-03-15 11:13:21 UTC
Created attachment 76554 [details]
Result of mergemail process (pdf doc)
Comment 3 Domingo Sacristan 2013-03-15 11:15:01 UTC
Created attachment 76555 [details]
Document with mergemail fields ( from biblio datasource )
Comment 4 Joel Madero 2013-04-22 20:38:48 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version 3.6.6.2 
Platform: Bodhi Linux 2.2 x64

@Domingo - a simpler test document would be nice if you are able to create one, also in the future please provide reproducible steps, observed and expected result like I did below, thanks!

To Reproduce:
1. Open Document with mergemail fields (from...)
2. Go to Tools -> Mail Merge Wizard...
3. Go through mail merge wizard, selecting "use this document"
*You may have to create a new table of contacts if one is not setup
4. Merge document


Observed: Bullets are all messed up, unusable document

Expected: Merge results in same document just with merged fields
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm this problem on an earlier release I am changing the version number as version is the earliest version that we can confirm the bug, we use comments to say that the bug exists in newer versions as well.

Marking as:

New (confirmed)
Major - unusable document with data loss (actually data addition but still not good)
High - default, seems appropriate as making a mail merge with bullet points is common enough to warrant attention


+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/.
Comment 5 Jan-Marek Glogowski 2015-03-20 10:27:26 UTC
This was originally fixed by my mail merge fixes but is now broken again.
Comment 6 tommy27 2016-04-16 07:27:34 UTC Comment hidden (obsolete)
Comment 7 Timur 2017-07-21 12:54:02 UTC
Looks fixed.
Comment 8 Commit Notification 2018-12-11 14:13:44 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/182db646cfef44d26a4ced4bc745987e27900eb2%5E%21

tdf#62364: mailmerge: new unit test

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.